org.eclipse.aether.util

## Class ChecksumUtils

- java.lang.Object
- - org.eclipse.aether.util.ChecksumUtils

-     public final class ChecksumUtils
      extends Object

  A utility class to assist in the verification and generation of checksums.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<String,Object>` | `calc(File dataFile, Collection<String> algos)` Calculates checksums for the specified file.
    `static String` | `read(File checksumFile)` Extracts the checksum from the specified file.
    `static String` | `toHexString(byte[] bytes)` Creates a hexadecimal representation of the specified bytes.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### read

          public static String read(File checksumFile)
                             throws IOException

      Extracts the checksum from the specified file.
      Parameters:
        `checksumFile` - The path to the checksum file, must not be `null`.
      Returns:
        The checksum stored in the file, never `null`.
      Throws:
        `IOException` - If the checksum does not exist or could not be read for other reasons.

    - #### calc

          public static Map<String,Object> calc(File dataFile,
                                Collection<String> algos)
                                         throws IOException

      Calculates checksums for the specified file.
      Parameters:
        `dataFile` - The file for which to calculate checksums, must not be `null`.
        `algos` - The names of checksum algorithms (cf. `MessageDigest.getInstance(String)` to use, must not be `null`.
      Returns:
        The calculated checksums, indexed by algorithm name, or the exception that occurred while trying to calculate it, never `null`.
      Throws:
        `IOException` - If the data file could not be read.

    - #### toHexString

          public static String toHexString(byte[] bytes)

      Creates a hexadecimal representation of the specified bytes. Each byte is converted into a two-digit hex number and appended to the result with no separator between consecutive bytes.
      Parameters:
        `bytes` - The bytes to represent in hex notation, may be be `null`.
      Returns:
        The hexadecimal representation of the input or `null` if the input was `null`.

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.